/*
Function that finds specified item in the given array and return its index
Portable between OFP and CWA
by Faguss (ofp-faguss.com) 09.07.21

Usage:
	IS_CWA = Format ["%1",getworld]!="scalar bool array string 0xfcffffef"
	[<search for>, <search in>] call preProcessFile "FindInArray_OFPCWA.sqf"
*/

	
if (ME3D_CWA) then {
	(_this select 1) find (_this select 0)
} else {
	private ["_i", "_index"];
	_i     = 0;
	_index = -1;
	{
		if (_index == -1) then {
			if ((_this select 0) in [_x]) then {_index=_i};
			_i = _i + 1;
		}
	} forEach (_this select 1);
	_index
}